3

Problem: MFU works like printer but didn't work like scanner.

Installed latest HPLIP Version: 3.19.6 from developers.hp.com.

:~$ hp-setup

hp-setup


hp-doctor command output:

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

No Scanner found.

--------------------------
| DISCOVERED USB DEVICES |
--------------------------

No devices found.

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------


HP-LaserJet-Pro-MFP-M125ra
--------------------------
Type: Unknown
Device URI: usb://HP/LaserJet%20Pro%20MFP%20M125ra?serial=CNB7GCJHZQ&interface=1
PPD: /etc/cups/ppd/HP-LaserJet-Pro-MFP-M125ra.ppd
warning: Failed to read /etc/cups/ppd/HP-LaserJet-Pro-MFP-M125ra.ppd ppd file
PPD Description: 
Printer status: printer HP-LaserJet-Pro-MFP-M125ra is idle.  enabled since Чт 06 июн 2019 17:54:40
warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend for HP-Devices.


--------------
| PERMISSION |
--------------

error: Unsupported model: HP_LaserJet_Pro_MFP_M125ra


Checking Permissions....


Checking for Configured Queues....
warning: Fail to read ppd=/etc/cups/ppd/HP-LaserJet-Pro-MFP-M125ra.ppd file
warning: Insufficient permission to access file /etc/cups/ppd/HP-LaserJet-Pro-MFP-M125ra.ppd
warning: Could not complete Queue(s) configuration check


Checking for HP Properitery Plugin's....
No plug-in printers are configured.

Diagnose completed...


lsusb command output:

Bus 002 Device 009: ID 03f0:222a Hewlett-Packard


sane-find-scanner command output:

  # sane-find-scanner will now attempt to detect your scanner. If the
  # result is different from what you expected, first make sure your
  # scanner is powered up and properly connected to your computer.

  # No SCSI scanners found. If you expected something different, make sure that
  # you have loaded a kernel SCSI driver for your SCSI adapter.

found USB scanner (vendor=0x03f0 [Hewlett-Packard], product=0x222a [HP LaserJet Pro MFP M125ra]) at libusb:002:009
could not open USB device 0x04d9/0x0175 at 002:006: Access denied (insufficient permissions)
could not open USB device 0x2109/0x2812 at 002:004: Access denied (insufficient permissions)
could not open USB device 0x0001/0x0000 at 002:003: Access denied (insufficient permissions)
could not open USB device 0x8087/0x0024 at 002:002: Access denied (insufficient permissions)
could not open USB device 0x1d6b/0x0002 at 002:001: Access denied (insufficient permissions)
could not open USB device 0x1d6b/0x0003 at 004:001: Access denied (insufficient permissions)
could not open USB device 0x046d/0xc52b at 003:003: Access denied (insufficient permissions)
could not open USB device 0x0461/0x0010 at 003:002: Access denied (insufficient permissions)
could not open USB device 0x1d6b/0x0002 at 003:001: Access denied (insufficient permissions)
could not open USB device 0x8087/0x0024 at 001:002: Access denied (insufficient permissions)
could not open USB device 0x1d6b/0x0002 at 001:001: Access denied (insufficient permissions)
  # Your USB scanner was (probably) detected. It may or may not be supported by
  # SANE. Try scanimage -L and read the backend's manpage.

  # Not checking for parallel port scanners.

  # Most Scanners connected to the parallel port or other proprietary ports
  # can't be detected by this program.

  # You may want to run this program as root to find all devices. Once you
  # found the scanner devices, be sure to adjust access permissions as
  # necessary.


Printer work without hplip setup.. How to make the scanner work?

This question has an open bounty worth +100 reputation from mature ending in 2 days.

Looking for an answer drawing from credible and/or official sources.

  • 1
    It looks like your Printer is not supported in HPLIP version 3.19.6. Based on this developers.hp.com/hp-linux-imaging-and-printing/… you need HLIP version 3.14.10. – MitKan Jul 11 at 22:50
  • Yea, but when i try run hplip-3.14.10.run i get hplip-install: line 2: python: command not found. Looks like it use old python in installer. – mature Jul 12 at 11:31
  • In this table developers.hp.com/hp-linux-imaging-and-printing/… means just Min. HPLIP Version. Looks looks like all highest versions must support my printer model. – mature Jul 12 at 11:36
  • 1
    you can't install hplip-3.14.10 with hplip-install. You need to go to Downloads folder and then run sudo chmod a+x hplip-3.14-10 and then ./hplip-3.14.10.run. Yes you're right, but the hp-doctot command gives you the output error: Unsupported model. ... – MitKan Jul 13 at 8:44
  • 1
    post the output of the whole terminal process when you run the ./hplip-3.14.10 – MitKan Jul 14 at 12:59
1

According to the official HPLIP page you need to install at least 3.14.10 with a proprietary plugin:

m125ra

It seems that you have missed the installation of this binary/proprietary driver/plugin.
You have to install it with:

hp-plugin

Note: You do not really need HPLIP 3.19.6 and can use HPLIP 3.17.10 from the bionic repository. To proceed this way follow the uninstallation part of my other answer and afterwards install the plugin with hp-plugin.


References:

  1. hp's Developer Portal | All Supported Printer Models
  2. How to install HPLIP on my Ubuntu to support my HP printer and/or scanner?
  3. How should I install HPLIP binary/proprietary plugin/driver for my HP printer or printer+scanner?
  • 1
    I wish I could upvote twice! ;-) – Fabby Jul 18 at 22:19
0

Maybe this helps a little bit more :

sudo hp-setup

instead of

hp-setup

Before this, you should better repeat installation of hp-package with :

sudo apt install --reinstall hplip

I guess, this works out.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.